    char value;

    /**
    Read the ambient (die) temperature.  The device just performs a single temperature
    temperature conversion and enter the sleep mode afterwards.  This
    function calulates the temperature using only the most recent conversion value.
    @param id device ID (0 to 3) on i2c bus, i.e. the logic level of its ADD0 pin
    @return temperature of the TMP112 die in Celsius
    */
    value = TMP112_GetAmbientTemperature(0);

    return value;
